## prometheus-haproxy-exporter 0.9.0%2Bgit20180917%2Bds

=== Makefile ===
# Copyright 2015 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

include Makefile.common

DOCKER_IMAGE_NAME       ?= haproxy-exporter

=== debian/changelog ===
prometheus-haproxy-exporter (0.9.0+git20180917+ds-1) unstable; urgency=high

  * New usptream snapshot, fixes build issues. Closes: #911436.
  * Add +ds suffix to mark repackaging.
  * Add myself to uploaders.
  * Match Files-Excluded with current repo.
  * Use new repo layout.
  * Use repackaging suffix in debian/watch.
  * Bring in line with other exporters: rename binary, add initscripts,
    create system user, install documentation and manpage.
    Closes: #909175, #909174.
  * Update Standards-Version with no changes.

 -- Martín Ferrari <tincho@debian.org>  Fri, 02 Nov 2018 13:45:55 +0000

prometheus-haproxy-exporter (0.9.0-1) unstable; urgency=medium

  * Initial release (Closes: #906097)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 06 Sep 2018 21:34:07 +0800

## prometheus-haproxy-exporter 0.9.0+git20180917+ds

=== debian/control ===
Source: prometheus-haproxy-exporter
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Martín Ferrari <tincho@debian.org>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-golang,
               golang-any,
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-prometheus-client-dev,
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-haproxy-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-haproxy-exporter.git
Homepage: https://github.com/prometheus/haproxy_exporter
XS-Go-Import-Path: github.com/prometheus/haproxy_exporter

Package: prometheus-haproxy-exporter
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: HAProxy Exporter for Prometheus
 Simple server that scrapes HAProxy stats and exports them via HTTP for
 Prometheus consumption.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DH_VERBOSE=1
export DH_GOLANG_INSTALL_EXTRA := test/

BUILDDIR := $(CURDIR)/build
METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := pkg-go-maintainers@lists.alioth.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDTAGS  :=
BUILDFLAGS  = -tags "$(BUILDTAGS)" -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --buildsystem=golang --with=golang \
            --builddirectory=$(BUILDDIR)

BINNAME := $(DEB_SOURCE)
WHATIS := "$(BINNAME) \\- Prometheus exporter for HAProxy"

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	cp -v $(BUILDDIR)/bin/haproxy_exporter $(BUILDDIR)/bin/$(BINNAME)
	build/bin/$(BINNAME) --help-man > build/$(BINNAME).1
	# Remove build user/build date/go version headers, which is ugly.
	sed -i -e '/^  /d' build/$(BINNAME).1
	# Fix whatis entry.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS) build/$(BINNAME).1
	# Remove default values as they create unwieldy long lines.
	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' build/$(BINNAME).1


override_dh_auto_install:

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/haproxy-exporter-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/,\
dversionmangle=s/\+ds\d*$//,\
  https://github.com/prometheus/haproxy_exporter/tags .*/v?(\d\S*)\.tar\.gz

## prometheus-haproxy-exporter 0.12.0%2Bds

=== debian/control ===
Source: prometheus-haproxy-exporter
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Martín Ferrari <tincho@debian.org>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any (>= 2:1.14~),
               golang-github-go-kit-kit-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-haproxy-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-haproxy-exporter.git
Homepage: https://github.com/prometheus/haproxy_exporter
XS-Go-Import-Path: github.com/prometheus/haproxy_exporter

Package: prometheus-haproxy-exporter
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: HAProxy exporter for Prometheus
 Simple server that scrapes HAProxy stats and exports them via HTTP for
 Prometheus consumption.

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,15 @@
 #!/usr/bin/make -f
 include /usr/share/dpkg/pkg-info.mk
 
-export DH_VERBOSE=1
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
 export DH_GOLANG_INSTALL_EXTRA := test/
 
 BUILDDIR := $(CURDIR)/build
 METAPKG := github.com/prometheus/common
 
 BRANCH     := debian/sid
-USER       := pkg-go-maintainers@lists.alioth.debian.org
+USER       := team+pkg-go@tracker.debian.org
 BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
     +%Y%m%d-%H:%M:%S)
 GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
@@ -32,13 +33,12 @@
 	dh_auto_build -- $(BUILDFLAGS)
 	# Rename the binary to match the debian package.
 	cp -v $(BUILDDIR)/bin/haproxy_exporter $(BUILDDIR)/bin/$(BINNAME)
-	build/bin/$(BINNAME) --help-man > build/$(BINNAME).1
+	$(BUILDDIR)/bin/$(BINNAME) --help-man > $(BUILDDIR)/$(BINNAME).1
 	# Remove build user/build date/go version headers, which is ugly.
-	sed -i -e '/^  /d' build/$(BINNAME).1
+	sed -i -e '/^  /d' $(BUILDDIR)/$(BINNAME).1
 	# Fix whatis entry.
-	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS) build/$(BINNAME).1
+	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS) $(BUILDDIR)/$(BINNAME).1
 	# Remove default values as they create unwieldy long lines.
-	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' build/$(BINNAME).1
-
+	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' $(BUILDDIR)/$(BINNAME).1
 
 override_dh_auto_install:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/haproxy-exporter-\$1\.tar\.gz/,\
     uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/,\
     dversionmangle=s/\+ds\d*$// \
  https://github.com/prometheus/haproxy_exporter/tags .*/v?(\d\S*)\.tar\.gz

## prometheus-haproxy-exporter 0.12.0+ds

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,18 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
+# Needs to be defined before including Makefile.common to auto-generate targets
+DOCKER_ARCHS ?= amd64 armv7 arm64
+DOCKER_IMAGE_NAME ?= haproxy-exporter
+
+all:: vet checkmetrics common-all
+
 include Makefile.common
 
-DOCKER_IMAGE_NAME       ?= haproxy-exporter
+PROMTOOL_DOCKER_IMAGE ?= $(shell docker pull -q quay.io/prometheus/prometheus:latest || echo quay.io/prometheus/prometheus:latest)
+PROMTOOL ?= docker run -i --rm -w "$(PWD)" -v "$(PWD):$(PWD)" --entrypoint promtool $(PROMTOOL_DOCKER_IMAGE)
+
+.PHONY: checkmetrics
+checkmetrics:
+	@echo ">> checking metrics for correctness"
+	for file in test/*.metrics; do $(PROMTOOL) check metrics < $$file || exit 1; done

=== debian/changelog ===
prometheus-haproxy-exporter (0.12.0+ds-2) unstable; urgency=medium

  * Team upload
  * Update version.BuildUser to match the Maintainer address
  * Change Section from devel to net
  * Fix syntax in debian/watch by removing trailing opts comma
  * Remove trailing slashes from Files-Excluded field

 -- Guillem Jover <gjover@sipwise.com>  Fri, 29 Jan 2021 23:05:16 +0100

prometheus-haproxy-exporter (0.12.0+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release. Closes: #976903
    - Add new Build-Depends on golang-github-go-kit-kit-dev.
  * Switch to debian/watch version 4
  * Indent debian/watch opts contents
  * Add an upstream metadata file
  * Set Rules-Requires-Root to no

 -- Guillem Jover <gjover@sipwise.com>  Mon, 25 Jan 2021 20:08:23 +0100

prometheus-haproxy-exporter (0.9.0+git20180917+ds-4) unstable; urgency=medium

  * Team upload.
  * Add missing dependency on adduser
  * Change systemd service Restart directive from always to on-failure
  * Remove error suppression from postinst
  * Run adduser unconditionally
  * Do not change pathname metadata if there are dpkg statoverrides in place
  * Use '' instead of `' in text
  * Switch from /var/run to /run
  * Switch to Standards-Version 4.5.1 (no changes needed)
  * Remove all rotated logs on purge
  * Remove $syslog dependency from init script
  * Remove unnecessary error suppression from init script
  * Use $() instead of `` in init script
  * Rewrite init script using start-stop-daemon
  * Move note about license location on Debian systems into a Comment field
  * Add a logrotate fragment file
  * Update copyright claims
  * Update gitignore entries
  * Do not enable DH_VERBOSE by default
  * Use $(BUILDDIR) uniformly instead of the literal build/

 -- Guillem Jover <gjover@sipwise.com>  Sat, 23 Jan 2021 03:13:37 +0100

prometheus-haproxy-exporter (0.9.0+git20180917+ds-3) unstable; urgency=medium

  * Team upload.
  * Build depend on golang-any >= 2:1.14~

 -- Lucas Kanashiro <kanashiro@debian.org>  Tue, 02 Jun 2020 15:15:08 -0300

prometheus-haproxy-exporter (0.9.0+git20180917+ds-2) unstable; urgency=medium

  * Team upload.
  * B-d on golang-github-prometheus-client-golang-dev
  * Bump debhelper compatibility level to 13
  * Declare compliance with Debian Policy 4.5.0

 -- Lucas Kanashiro <kanashiro@debian.org>  Tue, 02 Jun 2020 09:42:01 -0300

## prometheus-haproxy-exporter 0.13.0%2Bds1

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # limitations under the License.
 
 # Needs to be defined before including Makefile.common to auto-generate targets
-DOCKER_ARCHS ?= amd64 armv7 arm64
+DOCKER_ARCHS ?= amd64 armv7 arm64 ppc64le s390x
 DOCKER_IMAGE_NAME ?= haproxy-exporter
 
 all:: vet checkmetrics common-all

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/prometheus/haproxy_exporter/tags .*/v?(\d\S*)\.tar\.gz

## prometheus-haproxy-exporter 0.13.0+ds1

=== debian/changelog ===
prometheus-haproxy-exporter (0.13.0+ds1-1) unstable; urgency=medium

  * Team upload.
  * Add gitlab-ci.yml file.
  * Use dh-sequence-golang instead of dh-golang and --with=golang.
  * Switch to Standards-Version 4.6.0 (no changes needed).
  * Update gbp.conf following latest Go Team workflow.
  * Fix debian/watch syntax.
  * Exclude pre-built Windows binary from upstream tarball.
  * Update dependencies for new upstream release.

 -- Guillem Jover <gjover@sipwise.com>  Mon, 29 Nov 2021 18:26:18 +0100

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Priority: optional
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-golang,
+               dh-sequence-golang,
                golang-any (>= 2:1.14~),
-               golang-github-go-kit-kit-dev,
+               golang-github-go-kit-log-dev,
                golang-github-prometheus-client-golang-dev,
-               golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev,
+               golang-github-prometheus-exporter-toolkit-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-haproxy-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-haproxy-exporter.git
 Homepage: https://github.com/prometheus/haproxy_exporter

=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,7 @@
     -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"
 
 %:
-	dh $@ --buildsystem=golang --with=golang \
-            --builddirectory=$(BUILDDIR)
+	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)
 
 BINNAME := $(DEB_SOURCE)
 WHATIS := "$(BINNAME) \\- Prometheus exporter for HAProxy"

## prometheus-haproxy-exporter 0.14.0

=== debian/changelog ===
prometheus-haproxy-exporter (0.14.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release (fixes CVE-2022-46146)
  * Drop +ds version suffix, since we no longer need to unvendor

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 07 Dec 2022 02:48:58 +0000

prometheus-haproxy-exporter (0.13.0+ds1-2) unstable; urgency=medium

  * Team upload.

  [ Guillem Jover ]
  * Update debian/watch file.
  * Add blank lines between distinct sections in debian/rules.
  * Move instead of copy when renaming the daemon in debian/rules.
  * Do not install uninteresting documentation files.
  * Do not list directories to create known to dh.
  * Update default file for latest upstream release.

  [ Martina Ferrari ]
  * Update my name and email address.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse, Security-Contact.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 15 Mar 2022 23:13:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: prometheus-haproxy-exporter
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
-           Martín Ferrari <tincho@debian.org>,
+           Martina Ferrari <tina@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -12,9 +12,9 @@
                golang-github-go-kit-log-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
-               golang-github-prometheus-exporter-toolkit-dev,
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.2),
                golang-gopkg-alecthomas-kingpin.v2-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-haproxy-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-haproxy-exporter.git
 Homepage: https://github.com/prometheus/haproxy_exporter

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/prometheus/haproxy_exporter/tags .*/v?(\d\S*)\.tar\.gz

## prometheus-haproxy-exporter 0.15.0

=== Makefile ===
--- 
+++ 
@@ -19,10 +19,11 @@
 
 include Makefile.common
 
-PROMTOOL_DOCKER_IMAGE ?= $(shell docker pull -q quay.io/prometheus/prometheus:latest || echo quay.io/prometheus/prometheus:latest)
-PROMTOOL ?= docker run -i --rm -w "$(PWD)" -v "$(PWD):$(PWD)" --entrypoint promtool $(PROMTOOL_DOCKER_IMAGE)
+PROMETHEUS_VERSION=2.39.1
+PROMTOOL ?= /tmp/prometheus-$(PROMETHEUS_VERSION).linux-amd64/promtool
 
 .PHONY: checkmetrics
 checkmetrics:
 	@echo ">> checking metrics for correctness"
+	if ! test -x $(PROMTOOL); then curl -sL -o - https://github.com/prometheus/prometheus/releases/download/v$(PROMETHEUS_VERSION)/prometheus-$(PROMETHEUS_VERSION).linux-amd64.tar.gz | tar -C /tmp -xzf - prometheus-$(PROMETHEUS_VERSION).linux-amd64/promtool; fi
 	for file in test/*.metrics; do $(PROMTOOL) check metrics < $$file || exit 1; done

=== debian/changelog ===
prometheus-haproxy-exporter (0.15.0-3) unstable; urgency=medium

  * Team upload
  * Add new 0002-Support-prometheus-exporter-toolkit-v0.13.0.patch to support
    building against versions of exporter-toolkit >= 0.13.0 without backwards
    compatibility shim
  * Drop unused Build-Depends golang-github-go-kit-log-dev
  * Refresh packaging according to latest dh-make-golang template
  * Bump Standards-Version to 4.7.1 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 26 Feb 2025 23:52:28 +0000

prometheus-haproxy-exporter (0.15.0-2) unstable; urgency=medium

  * Team upload
  * Add new 0001-Support-prometheus-common-v0.50.0.patch (Closes: #1067377)
  * Bump golang-github-prometheus-client-golang-dev version constraint
    (>= 1.19.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 21 Mar 2024 03:37:37 +0000

prometheus-haproxy-exporter (0.15.0-1) unstable; urgency=medium

  * Team upload
  * New (and final) upstream release
  * Bump Standards-Version to 4.6.2 (no changes)
  * Bump minimum required golang-any version to 2:1.16~
  * Add deprecation notice to debian/NEWS

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 16 Jun 2023 22:37:27 +0000

=== debian/control ===
Source: prometheus-haproxy-exporter
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Martina Ferrari <tina@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-prometheus-client-golang-dev (>= 1.19.0),
               golang-github-prometheus-common-dev,
               golang-github-prometheus-exporter-toolkit-dev (>= 0.13.0),
               golang-gopkg-alecthomas-kingpin.v2-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-haproxy-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-haproxy-exporter.git
Homepage: https://github.com/prometheus/haproxy_exporter
XS-Go-Import-Path: github.com/prometheus/haproxy_exporter

Package: prometheus-haproxy-exporter
Section: net
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends},
Static-Built-Using: ${misc:Static-Built-Using}
Description: HAProxy exporter for Prometheus
 Simple server that scrapes HAProxy stats and exports them via HTTP for
 Prometheus consumption.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,10 @@
 #!/usr/bin/make -f
+
 include /usr/share/dpkg/pkg-info.mk
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
 export DH_GOLANG_INSTALL_EXTRA := test/
 
 BUILDDIR := $(CURDIR)/build
@@ -31,7 +33,7 @@
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)
 	# Rename the binary to match the debian package.
-	cp -v $(BUILDDIR)/bin/haproxy_exporter $(BUILDDIR)/bin/$(BINNAME)
+	mv -v $(BUILDDIR)/bin/haproxy_exporter $(BUILDDIR)/bin/$(BINNAME)
 	$(BUILDDIR)/bin/$(BINNAME) --help-man > $(BUILDDIR)/$(BINNAME).1
 	# Remove build user/build date/go version headers, which is ugly.
 	sed -i -e '/^  /d' $(BUILDDIR)/$(BINNAME).1
@@ -41,3 +43,4 @@
 	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' $(BUILDDIR)/$(BINNAME).1
 
 override_dh_auto_install:
+	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/prometheus/haproxy_exporter/tags .*/v?(\d\S*)\.tar\.gz debian
